Forum: JRuby Jruby and Rails 2.2.2

Announcement (2017-05-07): www.ruby-forum.com is now read-only since I unfortunately do not have the time to support and maintain the forum any more. Please see rubyonrails.org/community and ruby-lang.org/en/community for other Rails- und Ruby-related community platforms.
Pete H. (Guest)
on 2008-11-26 05:58
(Received via mailing list)
I am starting from scratch on a series of tutorials using the latest
JRuby and Rails.  I am getting the following error (or something
similar) when I invoke a rake task or run script/generate scaffold.

syntax error:ConstructorException while constructing a mapping we had
this expected a mapping or list of mappings for merging, but found
org.jvyamlb.nodes.ScalarNode
/usr/local/jruby-1.1.5/lib/ruby/gems/1.8/gems/activesupport-2.2.2/lib/active_support/dependencies.rb:159:in
`require'
/usr/local/jruby-1.1.5/lib/ruby/gems/1.8/gems/rails-2.2.2/lib/tasks/misc.rake:3
/usr/local/jruby-1.1.5/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:617:in
`call'
/usr/local/jruby-1.1.5/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:617:in
`execute'
/usr/local/jruby-1.1.5/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:612:in
`each'
/usr/local/jruby-1.1.5/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:612:in
`execute'
/usr/local/jruby-1.1.5/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:578:in
`invoke_with_call_chain'
/usr/local/jruby-1.1.5/lib/ruby/1.8/monitor.rb:191:in `mon_synchronize'
/usr/local/jruby-1.1.5/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:571:in
`invoke_with_call_chain'
/usr/local/jruby-1.1.5/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:588:in
`invoke_prerequisites'
/usr/local/jruby-1.1.5/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:585:in
`each'
/usr/local/jruby-1.1.5/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:585:in
`invoke_prerequisites'
/usr/local/jruby-1.1.5/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:577:in
`invoke_with_call_chain'

I didn't find anything recent although I expect it has something to do
with the latest Rails release (I think it was OK in Rail 2.1.2)

Ideas?

Pete H.


---------------------------------------------------------------------
To unsubscribe from this list, please visit:

    http://xircles.codehaus.org/manage_email
Nick S. (Guest)
on 2008-11-26 06:30
(Received via mailing list)
On Tue, Nov 25, 2008 at 9:58 PM, Pete H. <removed_email_address@domain.invalid> 
wrote:
> I am starting from scratch on a series of tutorials using the latest JRuby
> and Rails.  I am getting the following error (or something similar) when I
> invoke a rake task or run script/generate scaffold.
>
> syntax error:ConstructorException while constructing a mapping we had this
> expected a mapping or list of mappings for merging, but found
> org.jvyamlb.nodes.ScalarNode

I'm surprised to see this, which looks like an odd yaml parsing
exception. Have you started with a Rails 2.2.2 application from
scratch, or are you upgrading an existing application?

/Nick

---------------------------------------------------------------------
To unsubscribe from this list, please visit:

    http://xircles.codehaus.org/manage_email
Pete H. (Guest)
on 2008-11-26 20:14
(Received via mailing list)
I am starting from scratch.  I just did a "rails blog" command which
built the application but I had made some changes to the database.yml to
reflect the changes to the connection.

I just deleted the folder and rebuilt the application and made no
changes to the database.yml file and the app does boot now with no
errors.

Not sure what change to the database.yml was hosing things up but I am
going to try some incremental changes and see if that has an effect.

Thanks for the pointer to the yaml.

Pete
This topic is locked and can not be replied to.